List Prompts
GEThttps://api.confident-ai.com/v2/prompts
Lists all the prompts in your Confident AI project.
curl -X GET "https://api.confident-ai.com/v2/prompts" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"prompts": [
{
"id": "<PROMPT-ID>",
"alias": "greeting",
"type": "TEXT"
}
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Response
List Prompts succeeded.
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
promptslist of objectsThis is the list of prompts in your project.
Show 3 propertiesHide 3 properties
idstringThis is the unique id of the prompt.
aliasstringThis is the alias of the prompt, which is unique within your project.
typeenumThis is the type of the prompt, which can be either a simple text or a list of messages.
Show 2 enum valuesHide 2 enum values
TEXTLIST
deprecatedbooleanIndicates if this endpoint is deprecated.